Index Page vhatg_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void vhatg_c ( ConstSpiceDouble   * v1,
                      SpiceInt             ndim,
                      SpiceDouble        * vout )

#### Abstract

       Find the unit vector along a double precision vector of
       arbitrary dimension.

#### Required_Reading

       None.

#### Keywords

       VECTOR

#### Brief_I/O

       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       v1         I   Vector to be normalized.
       ndim       I   Dimension of v1 (and also vout).
       vout       O   Unit vector v1 / |v1|.
                      If v1 = 0, vout will also be zero.
                      vout can overwrite v1.

#### Detailed_Input

        v1            This is any double precision vector of arbitrary
                      dimension.  This routine will detect if is V1 the
                      zero vector, and will not attempt to divide by zero.

        ndim          is the dimension of V1 (and also VOUT).

#### Detailed_Output

        vout          contains the unit vector in the direction of v1. If
                      v1 represents the zero vector, then vout will also be
                      the zero vector.  vout may overwrite v1.

#### Parameters

       None.

#### Exceptions

       Error free.

#### Files

       None.

#### Particulars

       vhatg_c determines the magnitude of V1 and then divides each
       component of V1 by the magnitude.  This process is highly stable
       over the whole range of multi-dimensional vectors.

#### Examples

       The following table shows how selected v1 maps to vout.

       v1                    ndim            vout
       -----------------------------------------------------------------
       (5, 12, 0, 0)           4            (5/13, 12/13, 0, 0)
       (1e-7, 2D-e, 2e-7)      3            (1/3, 2/3, 2/3)

#### Restrictions

       The relative number of cases whereby floating point overflow may
       occur is negligible. Thus, no error recovery or reporting scheme
       is incorporated into this subroutine.

#### Literature_References

       None.

#### Author_and_Institution

       N.J. Bachman    (JPL)
       W.M. Owen       (JPL)

#### Version

       -CSPICE Version 1.0.0, 13-JUL-1999 (NJB) (WMO)

#### Index_Entries

       unitize a n-dimensional vector

#### Link to routine vhatg_c source file vhatg_c.c

    Wed Apr  5 17:54:46 2017